///	\file	help.cpp
///	\brief	help.cpp

#include <ncurses.h>
#include "mlslocale.h"
#include "panel.h"
#include "config.h"

using namespace MLS;

static char *help;

int MLS::Panel::about()
{
	int width = 40;
	int height = 12;
	
	width +=4;
			
	WINDOW *win = newwin(height, width, (LINES-height)/2, (COLS-width)/2);
	wclear(win);
	wbkgd(win, COLOR(COLOR_WHITE, 3));
	
	wattron(win ,A_BOLD);
	wborder(win, VLINE, VLINE, HLINE, HLINE, ULCORNER, URCORNER, LLCORNER, LRCORNER);
	
	wattroff(win, A_BOLD);
	
	// title 출력
	wattron(win, COLOR(COLOR_BLACK, COLOR_WHITE));
	wmove(win, 1, 1);
	whline(win, ' ', width-2);
	mvwprintw(win, 1, 17, "About Mls");
	wattroff(win, A_BOLD);
	
	// msg
	wattron (win, COLOR(COLOR_WHITE, 3));
	wattron (win, A_BOLD);
	mvwprintw(win, 3, 2, "Mls %s - User-Interfaced File Manager ", VERSION);
	mvwprintw(win, 5, 2, "Author : ");
	mvwprintw(win, 6, 2, "  IOKLO (ioklo@kldp.net)");
	mvwprintw(win, 7, 2, "  Byoungyoung, La (la9527@yahoo.co.kr)");
	mvwprintw(win, 8, 2, "  fehead (fehead@kldp.net)");
	mvwprintw(win, 10, 2, "(c) 2004 The Mls Developers");
	wattroff(win, A_BOLD);
	
	wrefresh(win);
	
	getch();	
	delwin(win);		
	return 1;	
}

int MLS::Panel::cmd_help()
{	
	int width = 70;
	int height = 17;
	
	width +=4;
			
	WINDOW *win = newwin(height, width, (LINES-height)/2, (COLS-width)/2);
	wclear(win);
	wbkgd(win, COLOR(COLOR_WHITE, 3));
	
	wattron(win ,A_BOLD);
	wborder(win, VLINE, VLINE, HLINE, HLINE, ULCORNER, URCORNER, LLCORNER, LRCORNER);
	
	wattroff(win, A_BOLD);
	
	// title 출력
	wattron(win, COLOR(COLOR_BLACK, COLOR_WHITE));
	wmove(win, 1, 1);
	whline(win, ' ', width-2);
	mvwprintw(win, 1, 35, "Help");
	wattroff(win, A_BOLD);
	
	// msg
	wattron (win, COLOR(COLOR_WHITE, 3));
	wattron (win, A_BOLD);
	
	mvwprintw(win, 3, 2, "/ , \\   : Shell");
	mvwprintw(win, 4, 2, "Alt+C   : File Copy");
	mvwprintw(win, 5, 2, "Alt+D   : File Delete");
	mvwprintw(win, 6, 2, "Alt+K   : Mkdir");
	mvwprintw(win, 7, 2, "Alt+R   : Rename");
	mvwprintw(win, 8, 2, "Alt+Q   : History Prev");
	mvwprintw(win, 9, 2, "Alt+W   : History Next");
	mvwprintw(win, 10, 2, "Alt+T   : Command Shell View");
	mvwprintw(win, 11, 2, "Alt+Z   : Hidden file view on/off");
	mvwprintw(win, 12, 2, "Alt+L   : BoxLine code chage");
	mvwprintw(win, 13, 2, "Ctrl+W  : Multi View");
	mvwprintw(win, 14, 2, "Alt+X   : Exit");

	mvwprintw(win, 3,  40, "F1    : Help");
	mvwprintw(win, 4,  40, "F2    : Rename");
	mvwprintw(win, 5,  40, "F3    : Vi");
	mvwprintw(win, 6,  40, "F4    : Edit");
	mvwprintw(win, 7,  40, "F5    : Refresh");
	mvwprintw(win, 8,  40, "F6    : Move");
	mvwprintw(win, 9,  40, "F7    : Make directory (mkdir)");
	mvwprintw(win, 10, 40, "F8    : Delete (rm)");
	mvwprintw(win, 11, 40, "F9    : Filelist Save (list.txt)");
	mvwprintw(win, 12, 40, "F10   : MCD");
	mvwprintw(win, 13, 40, "F11   : Configure Editor");
	mvwprintw(win, 14, 40, "F12   : Menu");
	wattroff(win, A_BOLD);
	
	wrefresh(win);
	
	getch();	
	delwin(win);		
	return 1;	
}
